{
  pkgs,
  lib,
}: let
  inherit (builtins) listToAttrs mapAttrs;
  inherit (pkgs) callPackage;
in
  {
    starbound = callPackage ./starbound {};
  }
  // (
    # Add nextcloud apps
    let
      mkNextcloudApp = pkgs.callPackage ./mkNextcloudApp.nix {};
      sources = pkgs.callPackage ./_sources_nextcloud/generated.nix {};
    in
      mapAttrs (_: source: mkNextcloudApp source) sources
  )
